#ifndef _DOG_DIMMER_H
#define _DOG_DIMMER_H

extern type_state playmode_str[];
//----------------------------------------------------------------------------
//
enum {
    ASPECT_4_3    = 2,
    ASPECT_16_9   = 3,
    ASPECT_2_21_1 = 4,
};

enum {
    AFD0 = 0x8,
    AFD1 = 0x9,
    AFD2 = 0xa,
    AFD3 = 0xb,
    AFD4 = 0xc,
    AFD5 = 0xd,
    AFD6 = 0xe,
    AFD7 = 0xf,
};

enum {
    NORMAL_DOG,
    HORIZONTAL_DOG,
    BLACK_DOG,
    MASKED_DOG,
    BLACK_MASKED_DOG,
    NUMBER_DOG_MODES
};

//----------------------------------------------------------------------------
//
typedef struct{
    int  x;
    int  y;
    int  width;
    int  height;
} type_position;

typedef struct{
    word service_id;
    int aspect_ratio;
    type_position getpos;
    word *bitmap;
} type_bitmap;

//----------------------------------------------------------------------------
//
extern int dog_dimming_enabled;
extern int dog_detected;
extern int dog_mode;
extern int magnified_dog;

extern int two_seconds_enabled;
extern dword two_seconds;
extern int debug;

extern word rgn;
extern type_bitmap *channel;
extern word *bitmap_mask_1555;

//----------------------------------------------------------------------------
//
//tsr_commander stuff
//
extern void TSRCommanderConfigDialog();
extern bool TSRCommanderExitTAP();
extern int is_tsr_commander_running(void);

//----------------------------------------------------------------------------
//
//main
//
extern type_menu main_menu;

extern int TAP_Main(void);
extern int close(void);
extern dword TAP_EventHandler(word event, dword param1, dword param2);
extern int main_menu_handler(type_menu *menu, dword param1);
extern int key_handler(dword param1, dword param2);

extern int display_aspect_ratio();
extern void two_second_update();
extern int init2();
extern int close2();
extern int on_channel_change();
extern int detect_dog(type_bitmap *channel);
extern int dog_dim(type_bitmap *channel);

//----------------------------------------------------------------------------

#endif
